ZLARCM(3f)

NAME
ZLARCM - a very simple matrix-matrix multiplication

SYNOPSIS

SUBROUTINE ZLARCM(
    M, N, A, LDA, B, LDB, C, LDC, RWORK )

INTEGER
    LDA, LDB, LDC, M, N

DOUBLE
    PRECISION A( LDA, * ), RWORK( * )

COMPLEX*16
    B( LDB, * ), C( LDC, * )

PURPOSE
ZLARCM performs a very simple matrix-matrix multiplication:
         C := A * B,
where A is M by M and real; B is M by N and complex;
C is M by N and complex.

ARGUMENTS

M       (input) INTEGER
    The number of rows of the matrix A and of the matrix C. M >= 0.

N       (input) INTEGER
    The number of columns and rows of the matrix B and the number of columns of the matrix C. N >= 0.

A       (input) DOUBLE PRECISION array, dimension (LDA, M)
    A contains the M by M matrix A.

LDA     (input) INTEGER
    The leading dimension of the array A. LDA >=max(1,M).

B       (input) DOUBLE PRECISION array, dimension (LDB, N)
    B contains the M by N matrix B.

LDB     (input) INTEGER
    The leading dimension of the array B. LDB >=max(1,M).

C       (input) COMPLEX*16 array, dimension (LDC, N)
    C contains the M by N matrix C.

LDC     (input) INTEGER
    The leading dimension of the array C. LDC >=max(1,M).

RWORK   (workspace) DOUBLE PRECISION array, dimension (2*M*N)